Bug 979896 - Volume scaling problems with Dragonfly USB DAC
Volume scaling problems with Dragonfly USB DAC
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 02:09 EDT by Luke Hutchison
Modified: 2014-02-05 17:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:01:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2013-07-01 02:09:41 EDT
Description of problem:

Hardware: The Dragonfly USB audio DAC:
http://www.audioquest.com/usb_digital_analog_converter/dragonfly-dac
It is detected by PulseAudio as "7 Series/C210 Series Chipset Family USB xHCI Host Controller Analog Stereo" and by lsusb as 21b4:0081.

This DAC works out of the box with PulseAudio on Fedora 18, but there are problems with volume scaling:

Problem #1: I can switch the output channel to play through the Dragonfly DAC, but at PulseAudio volume settings below 100%, the sound is barely audible. At volume settings above 100% (even 101-103%), the volume quickly shoots up to painful levels.

Problem #2: After setting the volume above 100%, the sound plays for a couple of seconds, then the volume is damped back down to inaudible levels, as if the slider were still set to 100% (but it is still showing whatever it was dragged to). It seems like there is a volume governer at work that is automatically turning down the sound.

Version-Release number of selected component (if applicable):
pulseaudio-2.1-6.fc18.x86_64
kernel-3.9.6-200.fc18.x86_64

How reproducible:
100%
Comment 1 Fedora End Of Life 2013-12-21 09:12:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:01:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.